import type { ManifestTreeItem } from '../extensions/types.js';
import UmbDefaultTreeItemContext from './tree-item-default/tree-item-default.context.js';
import { UmbExtensionElementAndApiSlotElementBase } from '../../extension-registry/index.js';
export declare class UmbTreeItemElement extends UmbExtensionElementAndApiSlotElementBase<ManifestTreeItem> {
    #private;
    get entityType(): string | undefined;
    set entityType(newVal: string | undefined);
    set props(newVal: Record<string, unknown> | undefined);
    get props(): Record<string, unknown> | undefined;
    getExtensionType(): string;
    getDefaultElementName(): string;
    getDefaultApiConstructor(): typeof UmbDefaultTreeItemContext;
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-tree-item': UmbTreeItemElement;
    }
}
